# Changements

## 2022-01-23

### Mise à jour vers CSL 1.0.2

  * **Nouvelle fonctionnalité :** Utilisation de la variable `volume-title`
    pour les titres spéciaux de numéros de revues ;
    en conséquence, la stratégie consistant à enregistrer des articles parus dans de tels numéros
    comme des chapitres d'ouvrages est désormais **obsolète** ;
  * REB : création d'un traitement particulier pour les articles parus dans des numéros
    de revues dotées d'un titre spécial.
  * Prise en compte des changements dans les fonctionnalités déjà existantes de CSL
    (sans incidences pour les utilisateurs à ce stade).

## 2022-01-15

  * REB : n'indiquer la date de consultation que pour les pages web et les billets de blog.

## 2022-01-11

  * Prise en compte du cas où un ouvrage d'un auteur moderne
    fait l'objet d'une édition critique (ex. : _Max Weber Gesamtausgabe_).

## 2022-01-08

### Meilleure prise en compte des formes abrégées de noms d'auteurs

  * Le guide stipulait : 
    « Si le nom de l'auteur de la source doit être abrégé dans certaines circonstances
    (p. ex. Muḥammad b. Jarīr b. Yazīd al-Ṭabarī, à abréger en al-Ṭabarī),
    il faut renseigner la partie qui doit disparaître dans *Prénom*
    et celle qui est conservée dans *Nom*.
    Cela ne fonctionne que si la forme abrégée correspond à la fin du nom complet. »
    Cette dernière limitation est désormais supprimée :
    il est désormais possible (et recommandé) de renseigner la forme abrégée dans *Auteur*
    et d'utiliser la variable `original-author` pour la forme longue.
    Cela permet, par exemple, d'abréger
    « Abū ʿUṯmān ʿAmr b. Baḥr al-Kinānī al-Fuqaymī al-Baṣrī » en « al-Ǧāḥiẓ ».
    L'ancien encodage est toujours supporté, mais devrait être évité.
    **Attention :** pour les utilisateurs de Pandoc,
    au moins jusqu'à la version 0.6 de _citeproc_,
    [un bug](https://github.com/jgm/citeproc/issues/99)
    empêche d'afficher la forme longue du nom dans la bibliographie.

### Mise à jour vers Pandoc 2.16.2

  * Adapatation de l'infrastructure de tests.
  * Adaptation des filtres.
